aboutsummaryrefslogtreecommitdiff
path: root/games/rigel-engine/git2tarxz.sh
diff options
context:
space:
mode:
authorB. Watson <urchlay@slackware.uk>2023-01-24 05:07:08 +0000
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-01-28 08:23:01 +0700
commita492e8a4bab7bc77ba31ade104fde363d00014fe (patch)
tree60c86e6564169873210fb4d1a4539c236bd1a823 /games/rigel-engine/git2tarxz.sh
parent8688e336e199ac913a7342117f11bcfc074f62e7 (diff)
games/rigel-engine: Added (Duke Nukem II reimplementation)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/rigel-engine/git2tarxz.sh')
-rw-r--r--games/rigel-engine/git2tarxz.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/games/rigel-engine/git2tarxz.sh b/games/rigel-engine/git2tarxz.sh
new file mode 100644
index 0000000000000..439f4cd50a22f
--- /dev/null
+++ b/games/rigel-engine/git2tarxz.sh
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+# Create source tarball from rigel-engine git repo, including
+# submodules. The auto-generated source tarballs from github don't
+# have the submodules, which is the only reason this exists...
+
+# Note that this script doesn't need to be run as root. It does need to
+# be able to write to the current directory it's run from.
+
+# Takes one optional argument, which is the commit or tag to create a
+# tarball of. With no arg, HEAD is used.
+
+PRGNAM=rigel-engine
+CLONE_URL=https://github.com/lethal-guitar/RigelEngine/
+
+set -e
+
+GITDIR=$( mktemp -dt $PRGNAM.git.XXXXXX )
+rm -rf $GITDIR
+git clone $CLONE_URL $GITDIR
+
+CWD="$( pwd )"
+cd $GITDIR
+
+if [ "$1" != "" ]; then
+ git reset --hard "$1" || exit 1
+fi
+
+git submodule update --init --recursive
+
+GIT_SHA=$( git rev-parse --short HEAD )
+
+DATE=$( git log --date=format:%Y%m%d --format=%cd | head -1 )
+
+VERTAG=$( git tag -l | tail -1 )
+
+VERSION=${VERTAG}+${DATE}_${GIT_SHA}
+
+find . -name .git\* -print0 | xargs -0 rm -rf
+
+cd "$CWD"
+rm -rf $PRGNAM-$VERSION $PRGNAM-$VERSION.tar.xz
+mv $GITDIR $PRGNAM-$VERSION
+tar cvfJ $PRGNAM-$VERSION.tar.xz $PRGNAM-$VERSION
+
+echo
+echo "Created tarball: $PRGNAM-$VERSION.tar.xz"
+echo "VERSION=$VERSION"